Subject: Re: bug#55439: [PATCH] Add support for the Modi script

From: Pankaj Jangid <[email-masked]>
Date: Thu, 19 May 2022 08:44:07 +0530

Eli Zaretskii <[email-masked]> writes:

>> Technically, one entry is enough for showcasing the script. But looking
>> at the table heading in etc/HELLO, it appears that this file is for
>> showing language and not the script.
>
> No, we do show scripts, not languages.  There are many more languages
> than scripts, so if we'd base that file on languages, we'd need to
> make it much larger, and that is not economical.

Got it.

> However, many scripts are used with only one language, and frequently
> have the same name.  That is why it may seem that HELLO shows
> languages.  But that's a mistake.

May be we can improve the format to cover language names in this file in
an economical way (but that could be a separate discussion). As I said,
a language speaker might conclude it wrong even though Emacs supports
the language.